/*
 * This program is an implementation of the ISAKMP Internet Standard.
 * This file is:
 * Copyright (C) 1998 D. Hugh Redelmeier
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 *
 * This file was written while the author was in Canada.
 *
 * You may contact the author by e-mail: hugh@mimosa.com
 */

extern void ipsecdoi_initiate(
		int sock, struct sockaddr_in sin, struct sockaddr_in sin2,
		struct sockaddr_in sin3, struct sockaddr_in sin4,
		struct sockaddr_in sin5, int goal, int protocol);

extern void ipsecdoi_handle_rfirst(int sock, u_char *buffer, int length,
		      struct sockaddr sa);

struct state;	/* forward declaration of tag */

extern void ipsecdoi_handle_i1(int sock, u_char *buffer, int length, struct sockaddr sa,
		   struct state *st);

extern void ipsecdoi_handle_i2(int sock, u_char *buffer, int length, struct sockaddr sa,
		   struct state *st);

extern void ipsecdoi_handle_i3(int sock, u_char *buffer, int length, struct sockaddr sa,
		   struct state *st);

extern void ipsecdoi_handle_r1(int sock, u_char *buffer, int length, struct sockaddr sa,
		   struct state *st);

extern void ipsecdoi_handle_r2(int sock, u_char *buffer, int length, struct sockaddr sa,
		   struct state *st);

extern void ipsecdoi_handle_quick_r1(int sock, u_char *buffer, int length,
			 struct sockaddr sa, struct state *st);

extern void ipsecdoi_handle_quick_i1(int sock, u_char *buffer, int length,
			 struct sockaddr sa, struct state *st, int kernsock);

extern void ipsecdoi_handle_quick_r2(int sock, u_char *buffer, int length,
			 struct sockaddr sa, struct state *st,
			 int kernsock);
