/*
 * This program is an implementation of the ISAKMP Internet Standard.
 * This file is:
 * Copyright (C) 1998 D. Hugh Redelmeier
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 *
 * This file was written while the author was in Canada.
 *
 * You may contact the author by e-mail: hugh@mimosa.com
 */

extern void init_log(void);
extern void log(int error, char *message, ...);
extern void exit_log(char *message, ...);

/* The next routines use struct sockaddr and struct sockaddr_in in their
 * prototypes.  To ensure that these types are not given prototype scope,
 * we need to declare them.  According to ANSI, the following should work:
 *  struct sockaddr;
 *  struct sockaddr_in;
 * Unfortunately, this isn't good enough for gcc, so we include these
 * headers instead (overkill).
 */
#include <sys/socket.h>
#include <netinet/in.h>

extern char *get_address(struct sockaddr sa);
extern char *get_address_in(struct sockaddr_in sin);

extern int get_port(struct sockaddr sa);
extern int get_port_in(struct sockaddr_in sin);
